#!/bin/sh
#
# $FreeBSD: ports/sysutils/mbmon/files/mbmon.sh.in,v 1.2 2006/07/10 18:32:32 dougb Exp $
#

# PROVIDE: mbmon
# REQUIRE: LOGIN
# BEFORE:  securelevel
# KEYWORD: shutdown

# Add the following line to /etc/rc.conf to enable the mbmon daemon:
#
#	mbmon_enable="YES"
#
# See mbmon(1) for mbmon_flags
# Set mbmon_port to the TCP port to listen to, default is 12999

. /etc/rc.subr

name="mbmon"
rcvar=`set_rcvar`

# read configuration and set defaults
load_rc_config "$name"
: ${mbmon_enable="NO"}
: ${mbmon_flags=""}
: ${mbmon_port="12999"}

command="/usr/local/bin/${name}"
command_args="-P ${mbmon_port}"

run_rc_command "$1"
